## gfal2-util 1.7.1

=== debian/changelog ===
gfal2-util (1.7.1-2) unstable; urgency=medium

  * Re-upload source only
  * Correct license tag (GPL-3 → GPL-3+)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Jun 2022 09:41:10 +0200

gfal2-util (1.7.1-1) unstable; urgency=medium

  * First release for Debian (Closes: #1011403)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 May 2022 16:16:05 +0200

## gfal2-util 1.9.0

=== packaging/Makefile ===
NAME=gfal2-util
SPEC=rpm/$(NAME).spec
VERSION=${shell grep '^Version:' $(SPEC) | awk '{print $$2}' }
# Leave blank. To be overriden by CI tools.
RELEASE=

CWD=${shell pwd}

RPMBUILD=/tmp/rpmbuild
SRPMS=$(CWD)
RPMS=$(CWD)/out

MOCK_CHROOT=epel-6-cernonly-x86_64
MOCK_FLAGS=--verbose


RPMDEFINES_SRC=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir $(CWD)' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS)' \
	--define='_rpmdir $(RPMS)' \
    --define "_source_filedigest_algorithm md5" \
    $(RPMBUILD_SRC_EXTRA_FLAGS)

RPMDEFINES_BIN=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir %{_topdir}/SOURCES' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS).' \
	--define='_rpmdir $(RPMS)' \
    --define "_binary_filedigest_algorithm md5" \
    $(RPMBUILD_BIN_EXTRA_FLAGS)


PBUILDER_FLAGS=
PBUILDER_TMP="/tmp/"


all: srpm

clean:
	rm -fv *.tar
	rm -fv *.tar.gz
	rm -fv *.rpm
	rm -fv *.log
	rm -rfv out
	rm -fv *.deb
	rm -fv *.gz
	rm -fv *.dsc
	rm -fv *.changes
	rm -rfv "$(RPMBUILD)"

dist: clean
	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude="ci/repo" --exclude=".git*" --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..

$(RPMBUILD):
	mkdir -p "$(RPMBUILD)"

override_release: $(SPEC)
	$(if $(RELEASE), sed -i "s/Release:.*/Release: $(RELEASE)%{?dist}/g" "$(SPEC)")

srpm: dist $(SPEC) $(RPMBUILD) override_release
	/usr/bin/rpmbuild --nodeps -bs $(RPMDEFINES_SRC) $(SPEC)

rpm: srpm
	/usr/bin/rpmbuild --rebuild $(RPMDEFINES_BIN) $(NAME)-$(VERSION)-*.src.rpm

mock: srpm
	/usr/bin/mock $(MOCK_FLAGS) -r $(MOCK_CHROOT) $(NAME)-$(VERSION)-*.src.rpm

deb-src: dist
	rm -rf "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	tar xzf "$(NAME)-$(VERSION).tar.gz" -C "$(PBUILDER_TMP)"
	cp -rv debian "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	$(if $(RELEASE), sed -ri "s/($(NAME) )\((([0-9]+\.)+[0-9]+)-[0-9]+\)/\\1(\\2-$(RELEASE))/g" "$(PBUILDER_TMP)/$(NAME)-$(VERSION)/debian/changelog")
	cp -f "$(NAME)-$(VERSION).tar.gz" "$(PBUILDER_TMP)/$(NAME)_$(VERSION).orig.tar.gz" 
	cd "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"; \
		debuild -us -uc -S
	mv $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.gz .
	mv $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.dsc .

deb: deb-src
	pbuilder build $(PBUILDER_FLAGS) $(NAME)_$(VERSION)*.dsc

## gfal2-util 1.8.0

=== debian/changelog ===
gfal2-util (1.8.0-1) unstable; urgency=medium

  * New verwion 1.8.0
  * Upstream license change (GPL-3+ → Apache-2.0)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 04 Sep 2022 10:56:11 +0200

=== debian/control ===
Source: gfal2-util
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 dh-python,
 python3
Standards-Version: 4.6.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/gfal2-util
Vcs-Git: https://salsa.debian.org/ellert/gfal2-util.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/gfal2-util.html

Package: python3-gfal2-util
Architecture: all
Depends:
 python3-gfal2 (>= 1.8.0),
 ${misc:Depends},
 ${python3:Depends}
Description: GFAL2 clients for Python 3
 gfal2-util is a set of basic utility tools for file 
 interactions and file copy based on the GFAL 2.0 toolkit.
 gfal2-util supports the protocols of GFAL 2.0: WebDav(s),
 gridFTP, http(s), SRM, xrootd, etc...

Package: gfal2-util-scripts
Architecture: all
Depends:
 python3-gfal2-util (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 gfal2
Description: GFAL2 command line scripts
 Provides a set of command line scripts to call gfal2-util python functions.

## gfal2-util 1.8.1

=== debian/changelog ===
gfal2-util (1.8.1-1) unstable; urgency=medium

  * New verwion 1.8.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 15:36:25 +0100

=== debian/control ===
Source: gfal2-util
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/ellert/gfal2-util
Vcs-Git: https://salsa.debian.org/ellert/gfal2-util.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/gfal2-util.html

Package: python3-gfal2-util
Section: python
Architecture: all
Depends:
 python3-gfal2 (>= 1.12.0),
 ${misc:Depends},
 ${python3:Depends}
Description: GFAL2 clients for Python 3
 gfal2-util is a set of basic utility tools for file
 interactions and file copy based on the GFAL 2.0 toolkit.
 gfal2-util supports the protocols of GFAL 2.0: WebDav(s),
 gridFTP, http(s), SRM, xrootd, etc...

Package: gfal2-util-scripts
Architecture: all
Depends:
 python3-gfal2-util (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 gfal2
Description: GFAL2 command line scripts
 Provides a set of command line scripts to call gfal2-util Python functions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3 -- --buildsystem=none

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install \
	    --root $(CURDIR)/debian/tmp \
	    --install-layout deb

override_dh_auto_clean:
	rm -rf build

## gfal2-util 1.9.0

=== debian/changelog ===
gfal2-util (1.9.0-1) unstable; urgency=medium

  * New version 1.9.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 12:13:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2-util
 Vcs-Git: https://salsa.debian.org/ellert/gfal2-util.git
 Homepage: https://dmc-docs.web.cern.ch/dmc-docs/gfal2-util.html
@@ -16,9 +16,10 @@
 Section: python
 Architecture: all
 Depends:
- python3-gfal2 (>= 1.12.0),
+ python3-gfal2 (>= 1.13.0),
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
+ python3
 Description: GFAL2 clients for Python 3
  gfal2-util is a set of basic utility tools for file
  interactions and file copy based on the GFAL 2.0 toolkit.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	python3 setup.py install \
 	    --root $(CURDIR)/debian/tmp \
 	    --install-layout deb
+	rm -rf debian/tmp/usr/lib/python3/dist-packages/gfal2_util/__pycache__
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build gfal2_util.egg-info
